% Rolf Niepraschk, Rolf.Niepraschk@ptb.de

\setcounter{errorcontextlines}{100}  \listfiles

\NeedsTeXFormat{LaTeX2e}[1999/12/01]
\ProvidesClass{ptb-confirm}
    [2017/12/05 v0.2b Bestaetigung (RN)]

\RequirePackage{eso-pic,graphicx,xcolor,tabularx,trimspaces,amsmath}

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{ptbletter}}

\ProcessOptions\relax

\LoadClass[%
,BLN
]{ptbletter}

\RequirePackage{siunitx-PTB}

\providecommand*\vl@tempa{}
\providecommand*\vl@tempb{}
\providecommand*\vl@tempc{}
\providecommand*\vl@tempd{}
\providecommand*\vl@tempe{}

\newcommand*\vl@setcommand[3][]{%  #1=default (opt.), #2=macro, #3=value
  \edef\vl@tempa{\trim@spaces@noexp{#3}}%
  \expandafter\protected@xdef\csname #2\endcsname{%
    \ifx\@empty\vl@tempa #1\else\vl@tempa\fi}%
}
\newcommand*\vl@Setcommand[2]{% #1=macro, #2=value
  \@namedef{#1}{#2}%
}

\newcommand*\KindOfEnquiry[1]{\vl@setcommand{vl@KindOfEnquiry}{#1}}
\newcommand*\DateOfEnquiry[1]{%
  \vl@setcommand[\usekomavar{yourmail}]{vl@DateOfEnquiry}{#1}}
\newcommand*\Company[1]{\vl@setcommand{vl@Company}{#1}}
\newcommand*\Name[1]{\vl@setcommand{vl@Name}{#1}}
\newcommand*\Street[1]{\vl@setcommand{vl@Street}{#1}}
\newcommand*\Zipcode[1]{\vl@setcommand{vl@Zipcode}{#1}}
\newcommand*\Town[1]{\vl@setcommand{vl@Town}{#1}}
\newcommand*\Land[1]{\vl@setcommand{vl@Land}{#1}}
\newcommand*\Device[1]{\vl@setcommand{vl@Device}{#1}}
\newcommand*\Condition[1]{\vl@Setcommand{vl@Condition}{#1}}
\newcommand*\ScheduleDate[1]{\vl@setcommand{vl@ScheduleDate}{#1}}
\newcommand*\Fee[1]{\vl@Setcommand{vl@Fee}{\num{#1}}}
\newcommand*\missingEntries[1]{\vl@setcommand{vl@missingEntries}{#1}}

\newcommand*\vl@KindOfEnquiry{}
\newcommand*\vl@DateOfEnquiry{}
\newcommand*\vl@Company{}
\newcommand*\vl@Name{}
\newcommand*\vl@Street{}
\newcommand*\vl@Zipcode{}
\newcommand*\vl@Town{}
\newcommand*\vl@Land{}
\newcommand*\vl@Device{}
\newcommand*\vl@Condition{}
\newcommand*\vl@ScheduleDate{}
\newcommand*\vl@Fee{}
\newcommand*\vl@missingEntries{0}
\newtoks\vl@devTabLines

\AtBeginDocument{% 
  \ifnum\number\vl@missingEntries>0 %
    \AddToShipoutPictureBG{%
      \AtTextCenter{%
        \makebox(0,0)[c]{\resizebox{\textwidth}{!}{%
          \rotatebox{54.7}{%
            \textnormal{\textsf{\textbf{%
              \color{lightgray}Fehler:~\vl@missingEntries}}}}}}%
      }%
    }%
  \fi
  \vl@devTabLines{}%
  \def\do#1{%
    \vl@devTabLines\expandafter{\the\vl@devTabLines & #1\\}%
  } 
  \expandafter\docsvlist\expandafter{\vl@Device}%
  \begin{letter}{%
    \vl@Company \\
    \vl@Name \smallskip \\
    \vl@Street \\
    \vl@Zipcode\ \vl@Town
    \ifx\vl@Land\@empty\else \bigskip \\ \textls[75]{\MakeUppercase{\vl@Land}} \fi
  }
    \iflanguage{ngerman}{%
      %\sisetup{locale=DE}
      \subject{Antragsbestätigung~\usekomavar{myref}}%
      \input{ptb-confirm-de.lco}%
    }{%
      %\sisetup{locale=UK}
      \subject{Confirmation of Order~\usekomavar{myref}}%
      \input{ptb-confirm-en.lco}%
    }%
  \end{letter}
}%

\endinput
